Subject: Re: [ANNOUNCE] gitfs pre-release 0.04

From: Jakub Narebski <[email-masked]>
Date: Mon, 04 Dec 2006 20:40:38 +0100

Mitchell Blank Jr wrote:

>   * At the top of each tree there's now a synthetic ".git" directory
>     which includes some symlinks and a "HEAD" file that points to
>     the currently viewed root.  The idea is to allow some simple git
>     commands to work inside of a gitfs directory.  Unfortunately this doesn't
>     work yet since git no longer recognizes a non-symbolic ref in "HEAD".
>     I'll try to work around this soon.

Not true. Symlink HEAD still works, and we have even core.preferSymlinkRefs
configuration variable.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git